import React from 'react';
import ReactDOM from 'react-dom';

import { select } from 'd3';

const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;

const incDecValue = 20;
let radius = 100;
const strokeWidth = 5;
const strokeColor = "black";

const App = () => (
  <svg width={width} height={height} >
    <g transform="translate(0,0)">
      <circle
        id="circle"
        r={radius}
        cx={centerX}
        cy={centerY}
        fill="steelblue"
        stroke-width={strokeWidth}
        stroke="black"
      />
    </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);

let update = () => {
  select("#circle")
    .attr("r", radius)
};

const doInc = () => {
  radius += incDecValue;
  update();
};

const doDec = () => {
  if(radius > incDecValue) {
    radius -= incDecValue;
  } else {
    radius = incDecValue;
    return;
  }
  update();
};

select("#buttons")
  .append("button")
    .html("Dec")
    .on("click", doDec);

select("#buttons")
  .append("button")
    .html("Inc")
    .on("click", doInc);
